## vgabios 0.3a

=== Makefile ===
SHELL = /bin/sh

CC      = gcc
CFLAGS  = -g -O2 -Wall -Wstrict-prototypes
LDFLAGS = 

RELEASE = `pwd | sed "s-.*/--"`
RELDATE = `date '+%d %b %Y'`

all: bios


bios: vgabios.bin vgabios.debug.bin 

clean:
	/bin/rm -f  *.o *.s *.ld86 \
          temp.awk.* vgabios*.orig _vgabios_*.c core vgabios*.bin $(RELEASE).bin

dist-clean: clean

release: bios
	/bin/rm -f  *.o *.s *.ld86 \
          temp.awk.* vgabios.*.orig _vgabios_.*.c core
	cp vgabios.bin ../$(RELEASE).bin
	cp vgabios.debug.bin ../$(RELEASE).debug.bin
	rm vgabios.bin 
	rm vgabios.debug.bin
	tar czvf ../$(RELEASE).tgz -C .. $(RELEASE)/

vgabios.bin: vgabios.o
	ld86 -0 -r -o vgabios vgabios.o
	tools86 vgabios
	dd if=vgabios of=vgabios.bin ibs=32 skip=1 count=1024
	rm -f vgabios _vgabios_.c
	ls -l vgabios.bin

vgabios.o: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
	gcc -E vgabios.c -DVBE -DVGABIOS_DATE="\"$(RELDATE)\"" | tools86 -E > _vgabios_.c
	/usr/lib/bcc/bcc-cc1 -o vgabios.s -c -D__i86__ -0 _vgabios_.c
	./dataseghack vgabios.s
	# bug : with -j i get 1 byte displacement at the end of bin file !
	#as86 vgabios.s -o vgabios.o -u -w -g -0 -j
	as86 vgabios.s -o vgabios.o -u -w -g -0 


vgabios.debug.bin: vgabios.debug.o
	ld86 -0 -r -o vgabios.debug vgabios.debug.o
	tools86 vgabios.debug
	dd if=vgabios.debug of=vgabios.debug.bin ibs=32 skip=1 count=1024
	rm -f vgabios.debug _vgabios_.debug.c
	ls -l vgabios.debug.bin

vgabios.debug.o: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
	gcc -E vgabios.c -DVBE -DDEBUG -DVGABIOS_DATE="\"$(RELDATE)\"" | tools86 -E > _vgabios_.debug.c
	/usr/lib/bcc/bcc-cc1 -o vgabios.debug.s -c -D__i86__ -0 _vgabios_.debug.c
	./dataseghack vgabios.debug.s
	as86 vgabios.debug.s -o vgabios.debug.o -u -w -g -0

## vgabios 0.4b

=== Makefile ===
SHELL = /bin/sh

CC      = gcc
CFLAGS  = -g -O2 -Wall -Wstrict-prototypes
LDFLAGS = 

RELEASE = `pwd | sed "s-.*/--"`
RELDATE = `date '+%d %b %Y'`
RELVERS = `pwd | sed "s-.*/--" | sed "s/vgabios//" | sed "s/-//"`

VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""

all: bios


bios: vgabios.bin vgabios.debug.bin 

clean:
	/bin/rm -f  *.o *.s *.ld86 \
          temp.awk.* vgabios*.orig _vgabios_* _vgabios-debug_* core vgabios*.bin vgabios*.txt $(RELEASE).bin

dist-clean: clean

release: 
	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios
	/bin/rm -f  *.o *.s *.ld86 \
          temp.awk.* vgabios.*.orig _vgabios_.*.c core
	cp VGABIOS-lgpl-latest.bin ../$(RELEASE).bin
	cp VGABIOS-lgpl-latest.debug.bin ../$(RELEASE).debug.bin
	tar czvf ../$(RELEASE).tgz -C .. $(RELEASE)/

vgabios.bin: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
	gcc -E vgabios.c $(VGABIOS_VERS) -DVBE $(VGABIOS_DATE) > _vgabios_.c
	bcc -o vgabios.s -C-c -D__i86__ -S -0 _vgabios_.c
	sed -e 's/^\.text//' -e 's/^\.data//' vgabios.s > _vgabios_.s
	as86 _vgabios_.s -b vgabios.bin -u -w- -g -0 -j -O -l vgabios.txt
	rm -f _vgabios_.s _vgabios_.c vgabios.s
	mv vgabios.bin VGABIOS-lgpl-latest.bin
	ls -l VGABIOS-lgpl-latest.bin

vgabios.debug.bin: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
	gcc -E vgabios.c $(VGABIOS_VERS) -DVBE -DDEBUG $(VGABIOS_DATE) > _vgabios-debug_.c
	bcc -o vgabios-debug.s -C-c -D__i86__ -S -0 _vgabios-debug_.c
	sed -e 's/^\.text//' -e 's/^\.data//' vgabios-debug.s > _vgabios-debug_.s
	as86 _vgabios-debug_.s -b vgabios.debug.bin -u -w- -g -0 -j -O -l vgabios.debug.txt
	rm -f _vgabios-debug_.s _vgabios-debug_.c vgabios-debug.s
	mv vgabios.debug.bin VGABIOS-lgpl-latest.debug.bin
	ls -l VGABIOS-lgpl-latest.debug.bin

## vgabios 0.4c+20041014

=== Makefile ===
--- 
+++ 
@@ -10,24 +10,26 @@
 
 VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""
 
-all: bios
+all: bios cirrus-bios
 
 
-bios: vgabios.bin vgabios.debug.bin 
+bios: biossums vgabios.bin vgabios.debug.bin 
+
+cirrus-bios: vgabios-cirrus.bin vgabios-cirrus.debug.bin 
 
 clean:
-	/bin/rm -f  *.o *.s *.ld86 \
-          temp.awk.* vgabios*.orig _vgabios_* _vgabios-debug_* core vgabios*.bin vgabios*.txt $(RELEASE).bin
+	/bin/rm -f  biossums *.o *.s *.ld86 \
+          temp.awk.* vgabios*.orig _vgabios_* _vgabios-debug_* core vgabios*.bin vgabios*.txt $(RELEASE).bin *.bak
 
 dist-clean: clean
 
 release: 
 	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios
 	/bin/rm -f  *.o *.s *.ld86 \
-          temp.awk.* vgabios.*.orig _vgabios_.*.c core
+          temp.awk.* vgabios.*.orig _vgabios_.*.c core *.bak .#*
 	cp VGABIOS-lgpl-latest.bin ../$(RELEASE).bin
 	cp VGABIOS-lgpl-latest.debug.bin ../$(RELEASE).debug.bin
-	tar czvf ../$(RELEASE).tgz -C .. $(RELEASE)/
+	tar czvf ../$(RELEASE).tgz --exclude CVS -C .. $(RELEASE)/
 
 vgabios.bin: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
 	gcc -E vgabios.c $(VGABIOS_VERS) -DVBE $(VGABIOS_DATE) > _vgabios_.c
@@ -36,6 +38,7 @@
 	as86 _vgabios_.s -b vgabios.bin -u -w- -g -0 -j -O -l vgabios.txt
 	rm -f _vgabios_.s _vgabios_.c vgabios.s
 	mv vgabios.bin VGABIOS-lgpl-latest.bin
+	./biossums VGABIOS-lgpl-latest.bin
 	ls -l VGABIOS-lgpl-latest.bin
 
 vgabios.debug.bin: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
@@ -45,4 +48,28 @@
 	as86 _vgabios-debug_.s -b vgabios.debug.bin -u -w- -g -0 -j -O -l vgabios.debug.txt
 	rm -f _vgabios-debug_.s _vgabios-debug_.c vgabios-debug.s
 	mv vgabios.debug.bin VGABIOS-lgpl-latest.debug.bin
+	./biossums VGABIOS-lgpl-latest.debug.bin
 	ls -l VGABIOS-lgpl-latest.debug.bin
+
+vgabios-cirrus.bin: vgabios.c vgabios.h vgafonts.h vgatables.h clext.c
+	gcc -E vgabios.c $(VGABIOS_VERS) -DCIRRUS $(VGABIOS_DATE) > _vgabios-cirrus_.c
+	bcc -o vgabios-cirrus.s -C-c -D__i86__ -S -0 _vgabios-cirrus_.c
+	sed -e 's/^\.text//' -e 's/^\.data//' vgabios-cirrus.s > _vgabios-cirrus_.s
+	as86 _vgabios-cirrus_.s -b vgabios-cirrus.bin -u -w- -g -0 -j -O -l vgabios.cirrus.txt
+	rm -f _vgabios-cirrus_.s _vgabios-cirrus_.c vgabios-cirrus.s
+	mv vgabios-cirrus.bin VGABIOS-lgpl-latest.cirrus.bin
+	./biossums VGABIOS-lgpl-latest.cirrus.bin
+	ls -l VGABIOS-lgpl-latest.cirrus.bin
+
+vgabios-cirrus.debug.bin: vgabios.c vgabios.h vgafonts.h vgatables.h clext.c
+	gcc -E vgabios.c $(VGABIOS_VERS) -DCIRRUS -DCIRRUS_DEBUG $(VGABIOS_DATE) > _vgabios-cirrus-debug_.c
+	bcc -o vgabios-cirrus-debug.s -C-c -D__i86__ -S -0 _vgabios-cirrus-debug_.c
+	sed -e 's/^\.text//' -e 's/^\.data//' vgabios-cirrus-debug.s > _vgabios-cirrus-debug_.s
+	as86 _vgabios-cirrus-debug_.s -b vgabios.cirrus.debug.bin -u -w- -g -0 -j -O -l vgabios.cirrus.debug.txt
+	rm -f _vgabios-cirrus-debug_.s _vgabios-cirrus-debug_.c vgabios-cirrus-debug.s
+	mv vgabios.cirrus.debug.bin VGABIOS-lgpl-latest.cirrus.debug.bin
+	./biossums VGABIOS-lgpl-latest.cirrus.debug.bin
+	ls -l VGABIOS-lgpl-latest.cirrus.debug.bin
+
+biossums: biossums.c
+	gcc -o biossums biossums.c

## vgabios 0.5a

=== Makefile ===
SHELL = /bin/sh

CC      = gcc
CFLAGS  = -g -O2 -Wall -Wstrict-prototypes
LDFLAGS = 

GCC = gcc
BCC = bcc
AS86 = as86

RELEASE = `pwd | sed "s-.*/--"`
RELDATE = `date '+%d %b %Y'`
RELVERS = `pwd | sed "s-.*/--" | sed "s/vgabios//" | sed "s/-//"`

VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""

all: bios cirrus-bios


bios: biossums vgabios.bin vgabios.debug.bin 

cirrus-bios: vgabios-cirrus.bin vgabios-cirrus.debug.bin

clean:
	/bin/rm -f  biossums *.o *.s *.ld86 \
          temp.awk.* vgabios*.orig _vgabios_* _vgabios-debug_* core vgabios*.bin vgabios*.txt $(RELEASE).bin *.bak

dist-clean: clean

release: 
	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios
	/bin/rm -f  *.o *.s *.ld86 \
          temp.awk.* vgabios.*.orig _vgabios_.*.c core *.bak .#*
	cp VGABIOS-lgpl-latest.bin ../$(RELEASE).bin
	cp VGABIOS-lgpl-latest.debug.bin ../$(RELEASE).debug.bin
	cp VGABIOS-lgpl-latest.cirrus.bin ../$(RELEASE).cirrus.bin
	cp VGABIOS-lgpl-latest.cirrus.debug.bin ../$(RELEASE).cirrus.debug.bin
	tar czvf ../$(RELEASE).tgz --exclude CVS -C .. $(RELEASE)/

vgabios.bin: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
	$(GCC) -E vgabios.c $(VGABIOS_VERS) -DVBE $(VGABIOS_DATE) > _vgabios_.c
	$(BCC) -o vgabios.s -C-c -D__i86__ -S -0 _vgabios_.c
	sed -e 's/^\.text//' -e 's/^\.data//' vgabios.s > _vgabios_.s
	$(AS86) _vgabios_.s -b vgabios.bin -u -w- -g -0 -j -O -l vgabios.txt
	rm -f _vgabios_.s _vgabios_.c vgabios.s
	mv vgabios.bin VGABIOS-lgpl-latest.bin
	./biossums VGABIOS-lgpl-latest.bin
	ls -l VGABIOS-lgpl-latest.bin

vgabios.debug.bin: vgabios.c vgabios.h vgafonts.h vgatables.h vbe.h vbe.c vbetables.h
	$(GCC) -E vgabios.c $(VGABIOS_VERS) -DVBE -DDEBUG $(VGABIOS_DATE) > _vgabios-debug_.c
	$(BCC) -o vgabios-debug.s -C-c -D__i86__ -S -0 _vgabios-debug_.c
	sed -e 's/^\.text//' -e 's/^\.data//' vgabios-debug.s > _vgabios-debug_.s
	$(AS86) _vgabios-debug_.s -b vgabios.debug.bin -u -w- -g -0 -j -O -l vgabios.debug.txt
	rm -f _vgabios-debug_.s _vgabios-debug_.c vgabios-debug.s
	mv vgabios.debug.bin VGABIOS-lgpl-latest.debug.bin
	./biossums VGABIOS-lgpl-latest.debug.bin
	ls -l VGABIOS-lgpl-latest.debug.bin

vgabios-cirrus.bin: vgabios.c vgabios.h vgafonts.h vgatables.h clext.c
	$(GCC) -E vgabios.c $(VGABIOS_VERS) -DCIRRUS $(VGABIOS_DATE) > _vgabios-cirrus_.c
	$(BCC) -o vgabios-cirrus.s -C-c -D__i86__ -S -0 _vgabios-cirrus_.c
	sed -e 's/^\.text//' -e 's/^\.data//' vgabios-cirrus.s > _vgabios-cirrus_.s
	$(AS86) _vgabios-cirrus_.s -b vgabios-cirrus.bin -u -w- -g -0 -j -O -l vgabios.cirrus.txt
	rm -f _vgabios-cirrus_.s _vgabios-cirrus_.c vgabios-cirrus.s
	mv vgabios-cirrus.bin VGABIOS-lgpl-latest.cirrus.bin
	./biossums VGABIOS-lgpl-latest.cirrus.bin
	ls -l VGABIOS-lgpl-latest.cirrus.bin

vgabios-cirrus.debug.bin: vgabios.c vgabios.h vgafonts.h vgatables.h clext.c
	$(GCC) -E vgabios.c $(VGABIOS_VERS) -DCIRRUS -DCIRRUS_DEBUG $(VGABIOS_DATE) > _vgabios-cirrus-debug_.c
	$(BCC) -o vgabios-cirrus-debug.s -C-c -D__i86__ -S -0 _vgabios-cirrus-debug_.c
	sed -e 's/^\.text//' -e 's/^\.data//' vgabios-cirrus-debug.s > _vgabios-cirrus-debug_.s
	$(AS86) _vgabios-cirrus-debug_.s -b vgabios.cirrus.debug.bin -u -w- -g -0 -j -O -l vgabios.cirrus.debug.txt
	rm -f _vgabios-cirrus-debug_.s _vgabios-cirrus-debug_.c vgabios-cirrus-debug.s
	mv vgabios.cirrus.debug.bin VGABIOS-lgpl-latest.cirrus.debug.bin
	./biossums VGABIOS-lgpl-latest.cirrus.debug.bin
	ls -l VGABIOS-lgpl-latest.cirrus.debug.bin

biossums: biossums.c
	$(CC) -o biossums biossums.c

## vgabios 0.6a

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 cirrus-bios: vgabios-cirrus.bin vgabios-cirrus.debug.bin
 
 clean:
-	/bin/rm -f  biossums *.o *.s *.ld86 \
+	/bin/rm -f  biossums vbetables-gen vbetables.h *.o *.s *.ld86 \
           temp.awk.* vgabios*.orig _vgabios_* _vgabios-debug_* core vgabios*.bin vgabios*.txt $(RELEASE).bin *.bak
 
 dist-clean: clean
@@ -79,3 +79,9 @@
 
 biossums: biossums.c
 	$(CC) -o biossums biossums.c
+
+vbetables-gen: vbetables-gen.c
+	$(CC) -o vbetables-gen vbetables-gen.c
+
+vbetables.h: vbetables-gen
+	./vbetables-gen > $@

## vgabios 0.6c

=== debian/changelog ===
vgabios (0.6c-3~ybp60+1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild for squeeze

 -- Uli Martens <uli@youam.net>  Sun, 11 Sep 2011 15:51:42 +0200

vgabios (0.6c-3) unstable; urgency=low

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Add missing ${misc:Depends} to vgabios Depends field.

  [ Jonathan Nieder ]
  * Add support for additional PCI BIOS, by using proper PCI IDs.
    Patches taken from the QEMU tree by Gerd Hoffman: (Closes: #614200)
    - Makefile: factor out a single rule to build BIOS binaries, using
      variables to account for their differences.
      + debian/patches/01-Makefile-cleanup: New file.
    - Allow PCI vendor and device IDs to be set for each BIOS binary.
      + debian/patches/02-Add-defines-for-PCI-IDs: New file.
    - Introduce vgabios-stdvga.bin, for QEMU's standard VGA card (1234:1111).
      + debian/patches/03-Add-qemu-stdvga-bios: New file.
    - Make pci_get_lfb_addr check PCI region 1 in addition to region zero,
      so it can be used for the VmWare SVGA-II compatible adapter.
      + debian/patches/04-update-pci_get_lfb_addr-for...: New file.
    - Introduce vgabios-vmware.bin, for the VmWare SVGA-II card (15ad:0405).
      + debian/patches/05-Add-qemu-vmware-vga-pci-bios: New file.
    - Introduce vgabios-qxl.bin, for QEMU's QXL paravirtual graphics card
      (1b36:0100).
      + debian/patches/06-Add-qemu-qxl-vga-pci-bios: New file.
  * Install the new binaries in debian/rules.

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 03:44:20 +0100

vgabios (0.6c-2) unstable; urgency=low

  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Use UTF-8 copyright symbol in debian/rules.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 02 Dec 2009 22:31:26 +0100

vgabios (0.6c-1) unstable; urgency=low

  * New upstream release. (Closes: #523303)
    - debian/patches/widescreen_modes_stolen_from_kvm.patch: Remove, fixed
    upstream.
  * Refer to LGPL-2.1 from common-licenses instead of just LGPL.
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Now using Standards-Version 3.8.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Apr 2009 16:24:25 +0200

vgabios (0.6b-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_pci_rom_header.patch: Remove, fixed upstream.
    - debian/patches/02_biossums_warning.patch: Likewise.
    - debian/patches/03_no_linemarkers.patch: Likewise.
  * The offending patches using the quilt series -p0 specific feature are
    no longer in the package. (Closes: #485361)
  * Update debian/watch file to new savannah url.
  * Improve debian/copyright:
    - Remove empty Copyright section.
    - Rename Acknowledgements to Copyright Holders.
    - List all copyright holders, with copyright sign and years.
    - Add more upstream authors.
    - Update upstream download url.
  * Add a README.source.
  * Add a Homepage field.
  * Update packaging VCS fields to the new url.
  * Now using Standards-Version 3.8.0.
  * Add support for widescreen modes, stolen from KVM. (Closes: #458477)
    - debian/patches/widescreen_modes_stolen_from_kvm.patch: New file.

 -- Guillem Jover <guillem@debian.org>  Sun, 15 Jun 2008 07:56:46 +0300

vgabios (0.6a-3) unstable; urgency=low

  * Do not add linemarkers from gcc preprocessed output. (Closes: #441491)
    - debian/patches/03_no_linemarkers.patch: New file.
  * Add Vcs-Brwoser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Sep 2007 05:28:35 +0300

vgabios (0.6a-2) unstable; urgency=low

  * Add quilt support for patch management:
    - Add 'quilt (>= 0.40) to Build-Depends.
    - Include quilt.make from debian/rules.
    - Add a debian/patches/series file.
  * Add a PCI rom header. (Closes: #432766)
    - debian/patches/01_pci_rom_header.patch: New file.
    Thanks to Stefan Reinauer <stepan@coresystems.de>.
  * Fix warning in biossums.c by including <string.h>.
    - debian/patches/02_biossums_warning.patch: New file.
  * Add build-indep and build-arch targets.
  * Create the binary package on binary-indep instead of binary-arch.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Jul 2007 06:11:15 +0300

vgabios (0.6a-1) unstable; urgency=low

  * New upstream release.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Move debhelper from Build-Depends-Indep to Build-Depends as it's being
    used on clean.

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Aug 2006 03:22:04 +0300

vgabios (0.5d-1) unstable; urgency=low

  * New upstream release.
  * Updated FSF's address.
  * Upgraded to debhelper compat level 5.
  * Remove commented stuff on debian/rules.

 -- Guillem Jover <guillem@debian.org>  Mon,  2 Jan 2006 00:26:09 +0200

vgabios (0.5c-1) unstable; urgency=low

  * New upstream release.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jul 2005 11:39:45 +0300

vgabios (0.5b-1) unstable; urgency=low

  * New upstream release.
  * Update watch file URL and increase version number to 3.
  * Now using Standards-Version 3.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue,  5 Jul 2005 01:21:45 +0300

vgabios (0.5a-1) unstable; urgency=low

  * New upstream release.
  * Do not use a build-stamp file.

 -- Guillem Jover <guillem@debian.org>  Mon,  4 Apr 2005 01:35:02 +0300

vgabios (0.4c+20041014-1) unstable; urgency=low

  * New Maintainer. (Closes: #276391)
  * New upstream snapshot.
    - Remove CVS dirs.
    - Not tar in tar anymore.
  * Clean debian/copyright.
  * Reworded package long description.
  * Removed emacs cruft from changelog.
  * Do not create the lintian overrides dir.
  * Remove the binary rom files on clean.
  * Switch back to plain debhelper.


=== debian/control ===
Source: vgabios
Section: misc
Priority: extra
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://savannah.nongnu.org/projects/vgabios/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/vgabios.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/vgabios.git
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: bcc, bin86, gawk | awk
Standards-Version: 3.9.1

Package: vgabios
Architecture: all
Depends: ${misc:Depends}
Conflicts: bochs (<< 2.1.1+20040903-1)
Description: VGA BIOS software for the Bochs and Qemu emulated VGA card
 The goal of this project is to provide a Video BIOS for Bochs and Qemu.
 This VGA BIOS is very specific to the bochs/qemu emulated VGA card.
 .
 WARNING: It is NOT meant to drive a physical vga card. You will probably
 fry it if you try. You have been warned.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 1997-1999 Joey Hess <joeyh@debian.org>
# Copyright © 2004-2007 Guillem Jover <guillem@debian.org>

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean
	rm -f VGABIOS-*.bin
	
	dh_clean

build-indep:
	dh_testdir
	
	$(MAKE)

build-arch:
# Nothing to do.

build: build-indep build-arch

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	set -e; \
	for i in "" .cirrus .qxl .stdvga .vmware; do \
		for j in "$$i" "$$i.debug"; do \
			install -m644 $(CURDIR)/VGABIOS-lgpl-latest$$j.bin \
			debian/vgabios/usr/share/vgabios/vgabios$$j.bin ; \
		done; \
	done

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# Nothing to do.

binary: binary-indep binary-arch

.PHONY: build build-indep build-arch
.PHONY: clean binary-indep binary-arch binary install

## vgabios 0.7a

=== Makefile ===
SHELL = /bin/sh

CC      = gcc
CFLAGS  = -g -O2 -Wall -Wstrict-prototypes
LDFLAGS = 

GCC = gcc
BCC = bcc
AS86 = as86

RELEASE = `pwd | sed "s-.*/--"`
RELDATE = `date '+%d %b %Y'`
RELVERS = `pwd | sed "s-.*/--" | sed "s/vgabios//" | sed "s/-//"`

VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""

all: bios cirrus-bios

bios: vgabios.bin vgabios.debug.bin

cirrus-bios: vgabios-cirrus.bin vgabios-cirrus.debug.bin

clean:
	/bin/rm -f  biossums vbetables-gen vbetables.h *.o *.s *.ld86 \
          temp.awk.* vgabios*.orig _vgabios_* _vgabios-debug_* core vgabios*.bin vgabios*.txt $(RELEASE).bin *.bak

dist-clean: clean

# source files
VGA_FILES := vgabios.c vgabios.h vgafonts.h vgatables.h
VBE_FILES := vbe.h vbe.c vbetables.h

# build flags
vgabios.bin              : VGAFLAGS := -DVBE -DPCIBIOS
vgabios.debug.bin        : VGAFLAGS := -DVBE -DPCIBIOS -DDEBUG
vgabios-cirrus.bin       : VGAFLAGS := -DCIRRUS -DPCIBIOS
vgabios-cirrus.debug.bin : VGAFLAGS := -DCIRRUS -DPCIBIOS -DCIRRUS_DEBUG

# dist names
vgabios.bin              : DISTNAME := VGABIOS-lgpl-latest.bin
vgabios.debug.bin        : DISTNAME := VGABIOS-lgpl-latest.debug.bin
vgabios-cirrus.bin       : DISTNAME := VGABIOS-lgpl-latest.cirrus.bin
vgabios-cirrus.debug.bin : DISTNAME := VGABIOS-lgpl-latest.cirrus.debug.bin

# dependencies
vgabios.bin              : $(VGA_FILES) $(VBE_FILES) biossums
vgabios.debug.bin        : $(VGA_FILES) $(VBE_FILES) biossums
vgabios-cirrus.bin       : $(VGA_FILES) clext.c biossums
vgabios-cirrus.debug.bin : $(VGA_FILES) clext.c biossums

# build rule
%.bin:
	$(GCC) -E -P vgabios.c $(VGABIOS_VERS) $(VGAFLAGS) $(VGABIOS_DATE) > _$*_.c
	$(BCC) -o $*.s -C-c -D__i86__ -S -0 _$*_.c
	sed -e 's/^\.text//' -e 's/^\.data//' $*.s > _$*_.s
	$(AS86) _$*_.s -b $*.bin -u -w- -g -0 -j -O -l $*.txt
	rm -f _$*_.s _$*_.c $*.s
	mv $*.bin $(DISTNAME)
	./biossums $(DISTNAME)
	ls -l $(DISTNAME)

release: 
	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios
	/bin/rm -f  *.o *.s *.ld86 \
          temp.awk.* vgabios.*.orig _vgabios_.*.c core *.bak .#*
	cp VGABIOS-lgpl-latest.bin ../$(RELEASE).bin
	cp VGABIOS-lgpl-latest.debug.bin ../$(RELEASE).debug.bin
	cp VGABIOS-lgpl-latest.cirrus.bin ../$(RELEASE).cirrus.bin
	cp VGABIOS-lgpl-latest.cirrus.debug.bin ../$(RELEASE).cirrus.debug.bin
	tar czvf ../$(RELEASE).tgz --exclude CVS -C .. $(RELEASE)/

biossums: biossums.c
	$(CC) -o biossums biossums.c

vbetables-gen: vbetables-gen.c
	$(CC) -o vbetables-gen vbetables-gen.c

vbetables.h: vbetables-gen
	./vbetables-gen > $@

=== debian/changelog ===
vgabios (0.7a-6) unstable; urgency=low

  [ Reiner Herrmann ]
  * QA upload.
  * Bump Standards-Version to 3.9.8.
  * Bump debhelper compat level to 9.
  * Use https URLs for Vcs-Git/Vcs-Browser/Homepage fields.
  * Convert debian/copyright to DEP5.
  * Remove comments from debian/watch.
  * Remove unneeded targets from rules.
  * Remove bochs conflict.
  * Enable parallel building.
  * Add patch for reproducible building.
  * Add patch to support QXGA resolutions.
    Thanks to Sven Schnelle. (Closes: #669114)

  [ Mattia Rizzolo ]
  * Move the repository to collab-maint

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 08 Apr 2016 23:11:11 +0200

vgabios (0.7a-5) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 18 Apr 2014 20:32:51 +0400

vgabios (0.7a-4) unstable; urgency=low

  * add symlinks for naming as used by qemu (s/\./_/)
  * move symlinks from debian/links to debian/rules
    (just one place for paths) and simplify it a bit
  * reformat previous changelog to fit in 80 columns
  * Multi-Arch: foreign (Closes: #728474)
  * Set Standards-Version to 3.9.4 (no changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 23 Nov 2013 23:45:11 +0400

vgabios (0.7a-3) unstable; urgency=low

  * Adopt the package under qemu-pkg umbrella (Closes: #658776)
    Thank you Guillem for maintaining it so far
  * Move package git repository to git.debian.org
  * Update VCS links accordingly
  * Convert debian/rules to debhelper, remove more generated files in clean
  * Added debian/patches/disable-1280x768-and-1280x120-modes.patch
    to work around the problem described in #654823.  The patch
    does not fix the bug, it just disables two useful video modes
    which are causing issues. (Closes: #654823)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 06 Feb 2012 14:50:58 +0400

vgabios (0.7a-2) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Feb 2012 00:19:33 +0100

vgabios (0.7a-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01-Makefile-cleanup: Remove, merged upstream.
    - debian/patches/02-Add-defines-for-PCI-IDs: Likewise.
    - debian/patches/03-Add-qemu-stdvga-pci-bios: Likewise.
    - debian/patches/04-update-pci_get_lfb_addr-for-vmware-vga: Likewise.
    - debian/patches/05-Add-qemu-vmware-vga-pci-bios: Refreshed.
    - debian/patches/06-Add-qemu-qxl-vga-pci-bios: Likewise.
  * Add compatibility symlinks from stdvga vgabios to the default vgabios
    ROM, as the latter is now exactly the same as the former.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 01 Nov 2011 00:57:42 +0100

=== debian/control ===
Source: vgabios
Section: misc
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://savannah.nongnu.org/projects/vgabios/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/vgabios.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/vgabios.git
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: bcc, bin86, gawk | awk
Standards-Version: 3.9.8

Package: vgabios
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: VGA BIOS software for the Bochs and Qemu emulated VGA card
 The goal of this project is to provide a Video BIOS for Bochs and Qemu.
 This VGA BIOS is very specific to the bochs/qemu emulated VGA card.
 .
 WARNING: It is NOT meant to drive a physical vga card. You will probably
 fry it if you try. You have been warned.

=== debian/rules ===
#!/usr/bin/make -f

biosdir := /usr/share/vgabios
debbiosdir := debian/vgabios$(biosdir)

%:
	+dh $@ --parallel

override_dh_auto_install:
	set -e; \
	 for v in "" .cirrus .qxl .vmware; do \
	   install -m 0644 VGABIOS-lgpl-latest$$v.bin \
		$(debbiosdir)/vgabios$$v.bin ; \
	   install -m 0644 VGABIOS-lgpl-latest$$v.debug.bin \
		$(debbiosdir)/vgabios$$v.debug.bin ; \
	 done
# Compatibility symlinks with Debian vgabios == 0.6c-3
	ln -s vgabios.bin $(debbiosdir)/vgabios.stdvga.bin
	ln -s vgabios.debug.bin $(debbiosdir)/vgabios.stdvga.debug.bin
# qemu naming scheme (s/\./-/)
	set -e; \
	 for v in cirrus qxl stdvga vmware; do \
	  ln -s vgabios.$$v.bin $(debbiosdir)/vgabios-$$v.bin ; \
	 done

=== debian/watch ===
version=3
http://download.sv.gnu.org/releases/vgabios/ vgabios-(.*)\.tgz debian uupdate

## vgabios 0.7a+cvs20180116

=== debian/changelog ===
vgabios (0.7a+cvs20180116-1) unstable; urgency=medium

  * New upstream CVS snapshot.
  * Adopt the package. Closes: #745170.
  * Switch to priority “optional”.
  * Move to Salsa.
  * Use secure URLs in debian/copyright and debian/watch.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.
  * Drop Qemu from the package description, it no longer uses this
    package.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Nov 2018 08:48:51 +0100

=== debian/control ===
Source: vgabios
Section: misc
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Homepage: https://savannah.nongnu.org/projects/vgabios/
Vcs-Browser: https://salsa.debian.org/debian/vgabios
Vcs-Git: https://salsa.debian.org/debian/vgabios.git
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: bcc, bin86, gawk | awk
Standards-Version: 4.2.1
Rules-Requires-Root: no

Package: vgabios
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: VGA BIOS software for the Bochs emulated VGA card
 The goal of this project is to provide a Video BIOS for Bochs.
 This VGA BIOS is very specific to the bochs emulated VGA card.
 .
 WARNING: It is NOT meant to drive a physical vga card. You will probably
 fry it if you try. You have been warned.

=== debian/watch ===
version=3
https://download.sv.gnu.org/releases/vgabios/ vgabios-(.*)\.tgz debian uupdate

## vgabios 0.7b+ds

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+#
+#  Copyright (C) 2001-2020 The LGPL VGABios developers Team
+#
+
 SHELL = /bin/sh
 
 CC      = gcc
@@ -13,6 +17,8 @@
 RELVERS = `pwd | sed "s-.*/--" | sed "s/vgabios//" | sed "s/-//"`
 
 VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""
+RELEASE_BIN_LIST=README VGABIOS-lgpl-latest.bin VGABIOS-lgpl-latest.debug.bin \
+                 VGABIOS-lgpl-latest.cirrus.bin VGABIOS-lgpl-latest.cirrus.debug.bin
 
 all: bios cirrus-bios
 
@@ -63,11 +69,8 @@
 	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios
 	/bin/rm -f  *.o *.s *.ld86 \
           temp.awk.* vgabios.*.orig _vgabios_.*.c core *.bak .#*
-	cp VGABIOS-lgpl-latest.bin ../$(RELEASE).bin
-	cp VGABIOS-lgpl-latest.debug.bin ../$(RELEASE).debug.bin
-	cp VGABIOS-lgpl-latest.cirrus.bin ../$(RELEASE).cirrus.bin
-	cp VGABIOS-lgpl-latest.cirrus.debug.bin ../$(RELEASE).cirrus.debug.bin
-	tar czvf ../$(RELEASE).tgz --exclude CVS -C .. $(RELEASE)/
+	tar czvf ../$(RELEASE)-bin.tgz $(RELEASE_BIN_LIST)
+	tar czvf ../$(RELEASE).tgz --exclude .svn -C .. $(RELEASE)/
 
 biossums: biossums.c
 	$(CC) -o biossums biossums.c

=== debian/changelog ===
vgabios (0.7b+ds-1) unstable; urgency=medium

  * New upstream release.
  * Exclude binary tarballs and drop binaries and debug files from the
    upstream tarball.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Jan 2020 18:05:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Homepage: https://savannah.nongnu.org/projects/vgabios/
 Vcs-Browser: https://salsa.debian.org/debian/vgabios
 Vcs-Git: https://salsa.debian.org/debian/vgabios.git
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: bcc, bin86, gawk | awk
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 
 Package: vgabios

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 debbiosdir := debian/vgabios$(biosdir)
 
 %:
-	+dh $@ --parallel
+	dh $@
 
 override_dh_auto_install:
 	set -e; \

=== debian/watch ===
version=3
opts="repacksuffix=+ds, dversionmangle=s/\+ds//, uversionmangle=s/.bin/~bin/" \
 https://download.sv.gnu.org/releases/vgabios/ vgabios-(.*)\.tgz debian uupdate

## vgabios 0.8a%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2020 The LGPL VGABios developers Team
+#  Copyright (C) 2001-2021 The LGPL VGABios developers Team
 #
 
 SHELL = /bin/sh
@@ -18,13 +18,16 @@
 
 VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""
 RELEASE_BIN_LIST=README VGABIOS-lgpl-latest.bin VGABIOS-lgpl-latest.debug.bin \
-                 VGABIOS-lgpl-latest.cirrus.bin VGABIOS-lgpl-latest.cirrus.debug.bin
+                 VGABIOS-lgpl-latest.cirrus.bin VGABIOS-lgpl-latest.cirrus.debug.bin \
+                 VGABIOS-lgpl-latest.banshee.bin
 
-all: bios cirrus-bios
+all: bios cirrus-bios banshee-bios
 
 bios: vgabios.bin vgabios.debug.bin
 
 cirrus-bios: vgabios-cirrus.bin vgabios-cirrus.debug.bin
+
+banshee-bios: vgabios-banshee.bin
 
 clean:
 	/bin/rm -f  biossums vbetables-gen vbetables.h *.o *.s *.ld86 \
@@ -35,24 +38,28 @@
 # source files
 VGA_FILES := vgabios.c vgabios.h vgafonts.h vgatables.h
 VBE_FILES := vbe.h vbe.c vbetables.h
+BANSHEE_FILES := banshee.c
 
 # build flags
 vgabios.bin              : VGAFLAGS := -DVBE -DPCIBIOS
 vgabios.debug.bin        : VGAFLAGS := -DVBE -DPCIBIOS -DDEBUG
 vgabios-cirrus.bin       : VGAFLAGS := -DCIRRUS -DPCIBIOS
 vgabios-cirrus.debug.bin : VGAFLAGS := -DCIRRUS -DPCIBIOS -DCIRRUS_DEBUG
+vgabios-banshee.bin      : VGAFLAGS := -DBANSHEE -DPCIBIOS
 
 # dist names
 vgabios.bin              : DISTNAME := VGABIOS-lgpl-latest.bin
 vgabios.debug.bin        : DISTNAME := VGABIOS-lgpl-latest.debug.bin
 vgabios-cirrus.bin       : DISTNAME := VGABIOS-lgpl-latest.cirrus.bin
 vgabios-cirrus.debug.bin : DISTNAME := VGABIOS-lgpl-latest.cirrus.debug.bin
+vgabios-banshee.bin      : DISTNAME := VGABIOS-lgpl-latest.banshee.bin
 
 # dependencies
 vgabios.bin              : $(VGA_FILES) $(VBE_FILES) biossums
 vgabios.debug.bin        : $(VGA_FILES) $(VBE_FILES) biossums
 vgabios-cirrus.bin       : $(VGA_FILES) clext.c biossums
 vgabios-cirrus.debug.bin : $(VGA_FILES) clext.c biossums
+vgabios-banshee.bin      : $(VGA_FILES) banshee.c biossums
 
 # build rule
 %.bin:
@@ -66,9 +73,8 @@
 	ls -l $(DISTNAME)
 
 release: 
-	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios
-	/bin/rm -f  *.o *.s *.ld86 \
-          temp.awk.* vgabios.*.orig _vgabios_.*.c core *.bak .#*
+	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios banshee-bios
+	make clean
 	tar czvf ../$(RELEASE)-bin.tgz $(RELEASE_BIN_LIST)
 	tar czvf ../$(RELEASE).tgz --exclude .svn -C .. $(RELEASE)/

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,10 @@
 
 override_dh_auto_install:
 	set -e; \
-	 for v in "" .cirrus .qxl .vmware; do \
+	 for v in "" .banshee .cirrus .qxl .vmware; do \
 	   install -m 0644 VGABIOS-lgpl-latest$$v.bin \
 		$(debbiosdir)/vgabios$$v.bin ; \
+	   [ -f VGABIOS-lgpl-latest$$v.debug.bin ] && \
 	   install -m 0644 VGABIOS-lgpl-latest$$v.debug.bin \
 		$(debbiosdir)/vgabios$$v.debug.bin ; \
 	 done
@@ -19,6 +20,6 @@
 	ln -s vgabios.debug.bin $(debbiosdir)/vgabios.stdvga.debug.bin
 # qemu naming scheme (s/\./-/)
 	set -e; \
-	 for v in cirrus qxl stdvga vmware; do \
+	 for v in banshee cirrus qxl stdvga vmware; do \
 	  ln -s vgabios.$$v.bin $(debbiosdir)/vgabios-$$v.bin ; \
 	 done

## vgabios 0.8a+ds

=== tests/lfbprof/Makefile ===
# Very simple makefile for LFBPROF.C using Watcom C++ 10.0a with DOS4GW

lfbprof.exe: lfbprof.c lfbprof.h
    wcl386 -zq -s -d2 lfbprof.c

=== debian/changelog ===
vgabios (0.8a+ds-3) unstable; urgency=medium

  * Drop the redundant build-dependency on gawk | awk. Thanks to
    Santiago Vila for pointing this out! Closes: #1077651.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Aug 2025 08:39:10 +0200

vgabios (0.8a+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Aug 2021 19:35:06 +0200

vgabios (0.8a+ds-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to version 4.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Jun 2021 19:48:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Homepage: https://savannah.nongnu.org/projects/vgabios/
 Vcs-Browser: https://salsa.debian.org/debian/vgabios
 Vcs-Git: https://salsa.debian.org/debian/vgabios.git
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: bcc, bin86, gawk | awk
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: bcc, bin86
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: vgabios

=== debian/watch ===
version=4
opts="repacksuffix=+ds, dversionmangle=s/\+ds//, uversionmangle=s/.bin/~bin/" \
 https://download.sv.gnu.org/releases/vgabios/ vgabios-(.*)\.tgz debian uupdate
